﻿
.ddGrid .k-grid-header .k-header,
.ddGrid .k-grid-header span.k-link {
    color: #495057;
}

/* Sørger for at kolonneheader teksten ikke tar så stor plass */
.ddGrid .k-grid-header .k-header>.k-link{
    display:inline;
    padding:0 0 0 0.3em;
}

/* Sørger for at kolonneheader teksten ikke tar så stor plass */
.ddGrid .k-grid-header .k-with-icon .k-link{
    margin-right:0;
}

.ddGrid .reportGrid_groupFooter_column {
    text-align: right;
}

.ddGrid .reportgrid_footer_column {
    text-align: right;
}

.ddGrid .reportGrid_groupHeader_element {
    margin-left: 4px;
    margin-right: 4px;
}

.ddGrid .reportGrid_trend_column{
    position:relative;
    text-align:center;
}

/* Knapper for utvid alle nivåer */
.ddReportGridExpandButtonGroup{
    float:left;
}

.ddReportGridExpandButton{
    padding-bottom:0;
    padding-top:0;
    margin-top:5px !important;
    margin-right:10px;
}

/* Sørger for at ledetekster i kolonneheadingene starter i topp (standard=middle) */
.ddGrid thead{
    vertical-align:top;
}

/* Over og underlinjer på sumlinjer i Resultat og Balanse tabellene */
.jqx-grid-table td.reportBorderLine_under {
    border-width: 0 0 1px 1px;
    border-bottom: solid 1px #0e3a2e;
}

.jqx-grid-table td.reportBorderLine_over {
    border-width: 1px 0 0 1px;
    border-top: solid 1px #0e3a2e;
}

.jqx-grid-table td.reportBorderLine_both {
    border-width: 1px 0 1px 1px;
    border-bottom: solid 1px #0e3a2e;
    border-top: solid 1px #0e3a2e;
}

.jqx-grid-table .k-hierarchy-cell+td.reportBorderLine_under{
    border-left-width: 0;
}

.jqx-grid-table .k-hierarchy-cell+td.reportBorderLine_over{
    border-left-width: 0;
}

.jqx-grid-table .k-hierarchy-cell+td.reportBorderLine_both{
    border-left-width: 0;
}
/* Slutt: Over og underlinjer på sumlinjer i Resultat og Balanse tabellene */

/* Justering for drillthrough lenker i rapporten */
.reportgrid_drillthrough_column{
    padding:11px 2px 0 0;
    text-align:right;
}

.reportgrid_drillthrough_column a{
    font-weight:normal;
}

.reportgrid_subreportDrillthrough_column a{
    font-weight:normal;
}

#reportIdType_ansattliste ~ .jqx-grid .reportgrid_subreportDrillthrough_column,
#reportIdType_lonnsart ~ .jqx-grid .reportgrid_subreportDrillthrough_column,
#contenttablewageTypeListReport .reportgrid_subreportDrillthrough_column,
#reportIdType_ameldinger ~ .jqx-grid .reportgrid_subreportDrillthrough_column,
#reportIdType_inntektsmeldinger ~ .jqx-grid .reportgrid_subreportDrillthrough_column {
    margin-top: 9px;
    float: left;
    margin-left: 10px;
}
/* Slutt Justering for drillthrough lenker i rapporten */

/* Innstillinger for drillthrough vindu */
#report_drillthroughWindow, .reportDrillthroughWindow {
    width: auto;
    height: 90vh;
    display: none; /* Denne er her for å skjule DIV'n ved oppstart, altså før vinduet åpnes (ellers blir det en stor hvit del over rapporten */
}

#report_drillthroughWindow_voucherImage,
.reportDrillthroughWindow_voucherImage{
    width: 100%;
    height: 100%;
}

#report_drillthroughWindow_voucherImage{
    overflow:hidden;
}

/* Gruppefooter */
.reportGrid_groupFooter_column {
    text-align: right;
}

/* Totalfooter */
.reportGrid_footer_column {
    text-align: right;
}

#grid_emptyMessage {
    text-align: center;
    font-weight:normal;
}

#reportColumns_emptyMessage {
    text-align: center;
}

/* For jqx grid type hovedbok */
.ddGroupHeaderSpan{
    position:relative;
    top:10px;
}

.ddGroupHeaderSpanComma{
    margin-right:20px;
    position:relative;
    top:10px;
}

/* Trendpiler i Resultat type rapport */
.reportGrid_trend_column{
    text-align:center;
}

.ddGrid .k-grid-footer,
.ddGrid .k-grid-footer-wrap{
    border:none;
}

.ddGrid > .k-widget{
    border-bottom:none;
}

/* Disabled celle (brukes i Lønn og årsoppgjør) */
.ddDisabledTd{
    background-color:#f9f2e4;
}

/* Kolonneheadere i to nivåer */
/* Midtstiller øverste kolonneheader */
.ddGrid .ddGroupingTh .k-cell-inner > .k-link {
    justify-content: space-around;
}

